import { AccountsPage } from './../pages/accounts/accounts';
import { AccountPage } from './../pages/account/account';
import { TradePage } from './../pages/trade/trade';
import { BrowserModule } from '@angular/platform-browser';
import { ErrorHandler, NgModule } from '@angular/core';
import { IonicApp, IonicErrorHandler, IonicModule } from 'ionic-angular';

import { MyApp } from './app.component';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';
import { OverviewPage } from '../pages/overview/overview';
import { StatisticsPage } from '../pages/statistics/statistics';
import { StrategiesPage } from '../pages/strategies/strategies';
import { StrategyPage } from '../pages/strategy/strategy';

@NgModule({
  declarations: [
    MyApp,
    OverviewPage,
    StatisticsPage,
    StrategiesPage,
    StrategyPage,
    TradePage,
    AccountPage,
    AccountsPage
  ],
  imports: [
    BrowserModule,
    IonicModule.forRoot(MyApp),
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    OverviewPage,
    StatisticsPage,
    StrategiesPage,
    StrategyPage,
    TradePage,
    AccountPage,
    AccountsPage
  ],
  providers: [
    StatusBar,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler}
  ]
})
export class AppModule {}
